searchData={"items":[{"type":"module","title":"Kino.Bumblebee.HighlightedText","doc":"A kino for displaying a text with highlights and labels.\n\nThis kino is primarily used to present the result of token classification.","ref":"Kino.Bumblebee.HighlightedText.html"},{"type":"module","title":"Examples - Kino.Bumblebee.HighlightedText","doc":"text = \"Rachel Green works at Ralph Lauren in New York City in the sitcom Friends.\"\n\n    highlights = [\n      %{label: \"PER\", phrase: \"Rachel Green\", start: 0, end: 12},\n      %{label: \"ORG\", phrase: \"Ralph Lauren\", start: 22, end: 34},\n      %{label: \"LOC\", phrase: \"New York City\", start: 38, end: 51},\n      %{label: \"MISC\", phrase: \"Friends\", start: 66, end: 73}\n    ]\n\n    Kino.Bumblebee.HighlightedText.new(text, highlights)","ref":"Kino.Bumblebee.HighlightedText.html#module-examples"},{"type":"function","title":"Kino.Bumblebee.HighlightedText.new/2","doc":"Creates a new kino displaying the given list of items.\n\nExpects a list of maps, each element representing a highlight with\nthe some label.\n\nNote that the `:start` and `:end` offsets are interpreted as the\nnumber of UTF-8 bytes.","ref":"Kino.Bumblebee.HighlightedText.html#new/2"},{"type":"type","title":"Kino.Bumblebee.HighlightedText.t/0","doc":"","ref":"Kino.Bumblebee.HighlightedText.html#t:t/0"},{"type":"module","title":"Kino.Bumblebee.ScoredList","doc":"A kino for displaying a list of labels with scores.\n\nThis kino is primarily used to present top classification predictions.","ref":"Kino.Bumblebee.ScoredList.html"},{"type":"module","title":"Examples - Kino.Bumblebee.ScoredList","doc":"predictions = [\n      {\"france\", 0.9279842972755432},\n      {\"brittany\", 0.008412551134824753},\n      {\"algeria\", 0.007433671969920397},\n      {\"department\", 0.004957548808306456},\n      {\"reunion\", 0.004369721747934818}\n    ]\n\n    KinoBumblebee.ScoredList.new(predictions)","ref":"Kino.Bumblebee.ScoredList.html#module-examples"},{"type":"function","title":"Kino.Bumblebee.ScoredList.new/1","doc":"Creates a new kino displaying the given list of items.\n\nExpects a list of tuples, each element being the label and its score.","ref":"Kino.Bumblebee.ScoredList.html#new/1"},{"type":"type","title":"Kino.Bumblebee.ScoredList.t/0","doc":"","ref":"Kino.Bumblebee.ScoredList.html#t:t/0"},{"type":"extras","title":"Components","doc":"# Components\n\n```elixir\nMix.install([\n  {:kino_bumblebee, \"~> 0.5.0\"}\n])\n```","ref":"components.html"},{"type":"extras","title":"Kinos - Components","doc":"#","ref":"components.html#kinos"},{"type":"extras","title":"Kino.Bumblebee.ScoredList - Components","doc":"This kino visualizes predictions from a classification model.\n\n```elixir\npredictions = [\n  {\"france\", 0.9279842972755432},\n  {\"brittany\", 0.008412551134824753},\n  {\"algeria\", 0.007433671969920397},\n  {\"department\", 0.004957548808306456},\n  {\"reunion\", 0.004369721747934818}\n]\n\nKino.Bumblebee.ScoredList.new(predictions)\n```\n\n#","ref":"components.html#kino-bumblebee-scoredlist"},{"type":"extras","title":"Kino.Bumblebee.HighlightedText - Components","doc":"This kino visualizes predictions from a classification model.\n\n```elixir\ntext = \"Rachel Green works at Ralph Lauren in New York City in the sitcom Friends.\"\n\nhighlights = [\n  %{label: \"PER\", phrase: \"Rachel Green\", start: 0, end: 12},\n  %{label: \"ORG\", phrase: \"Ralph Lauren\", start: 22, end: 34},\n  %{label: \"LOC\", phrase: \"New York City\", start: 38, end: 51},\n  %{label: \"MISC\", phrase: \"Friends\", start: 66, end: 73}\n]\n\nKino.Bumblebee.HighlightedText.new(text, highlights)\n```","ref":"components.html#kino-bumblebee-highlightedtext"},{"type":"extras","title":"Smart cells - Components","doc":"The following Smart cells are available:\n\n* **Neural Network task cell** - for interactively trying various tasks and models","ref":"components.html#smart-cells"}],"content_type":"text/markdown"}